'*****************************************************************************
'*                              N O K E Y B                                  *
'-----------------------------------------------------------------------------
'*    Zeigt, wie man den Tastaturpuffer lscht, um den Anwender bei wichti-  *
'*    gen Abfragen (z.B. "Datei lschen?") Schutz vor voreiligen Eingaben    *
'*    zu bieten.                                                             *
'-----------------------------------------------------------------------------
'* Autor          : MICHAEL TISCHER                                          *
'* entwickelt am  : 01.01.1992                                               *
'* letztes Update : 01.01.1992                                               *
'*****************************************************************************
'
'-- Hauptprogramm ------------------------------------------------------------

DIM i AS INTEGER                                              'Schleifenzhler

CLS
PRINT ("NOKEYB  -  (c) 1992 by Michael Tischer")
PRINT
PRINT ("Bei 0 werden alle Zeichen im Tastaurpuffer gelscht.")
PRINT

FOR i = 10 TO 0 STEP -1                         'dem Anwender Zeit zur Eingabe
  PRINT i; "     "
  SLEEP 1
NEXT

'ClearKbBuffer                             'Tastaturpuffer leeren

'--- Zeichen ausgeben, die sich noch im Tastaturpuffer befinden --------------

ccount = 0                                         'noch kein Zeichen entdeckt
PRINT
PRINT
PRINT ("Zeichen im Tastaturpuffer :")

DO                                        'noch ein Zeichen im Tastaturpuffer?
  a$ = INKEY$
  IF a$ <> "" THEN
    FOR i = 1 TO LEN(a$)
      PRINT "   "; ASC(MID$(a$, i, 1)),            'zunchst nur Code ausgeben
      IF ASC(MID$(a$, i, 1)) > 32 THEN                    'kein Sonderzeichen?
        PRINT "("; MID$(a$, i, 1); ")";           'Nein, dann auch als Zeichen
      END IF
      PRINT
      ccount = ccount + 1                       'mehr als ein Zeichen gefunden
    NEXT
  END IF
LOOP WHILE a$ <> ""

IF ccount = 0 THEN                                    'keine Zeichen gefunden?
  PRINT ("(Keine)")                                                      'Nein
END IF
PRINT

END

'*****************************************************************************
'* ClearKbBuffer : lscht den Inhalt des Tastaturpuffers                     *
'* Eingabe : keine                                                           *
'* Ausgabe : keine                                                           *
'*****************************************************************************
'
SUB ClearKbBuffer

DO                          'Zeichen aus Tastaturpuffer holen, bis Puffer leer
LOOP WHILE INKEY$ <> ""

END SUB

