;**********************************************************************;
;*                         L O G O C A . A S M                        *;
;*--------------------------------------------------------------------*;
;*    Aufgabe        : stellt eine Funktion zur Definition von Zei-   *;
;*                     chen bei EGA- und VGA-Karten bereit            *;
;*--------------------------------------------------------------------*;
;*    Autor          : MICHAEL TISCHER                                *;
;*    entwickelt am  :  7.08.1990                                     *;
;*    letztes Update : 14.01.1991                                     *;
;*--------------------------------------------------------------------*;
;*    assemblieren   : TASM -mx logoca     oder MASM -mx logoca;      *;
;**********************************************************************;

          DOSSEG                  ;Segmente in der gewohnten Weise an-
                                  ;ordnen
          .MODEL SMALL, C         ;Programmcode auf Einbindung in ein
                                  ;C-Programm unter dem Speichermodell
                                  ;SMALL vorbereiten

;== Code ===============================================================

	  .CODE

;-- DEFCHAR: legt das Zeichenmuster fr Zeichen bei EGA- und VGA-Karten
;--          fest
;-- Deklaration in C : void defchar( BYTE ascii, BYTE table, BYTE height
;--                                  BYTE anzahl, void far * buf );
;-- Eingabe          : ASCII  = Nummer des ersten zu def. Zeichen
;--                    TABLE  = Nummer der Font-Table
;--                    HEIGHT = Hhe der Zeichen in Scan-Zeilen
;--                    ANZAHL = Anzahl der Zeichen
;--                    BUF    = Far-Zeiger auf den Puffer
;-- Ausgabe  : keine

defchar   proc ascii:byte, table:byte, height:byte, \
	       anzahl:byte, buf:dword

	  mov  ax,1100h           ;Funktion 11h, Unterfkt 00h aufrufen
	  mov  bh,height          ;die verschiedenen Parameter in die
	  mov  bl,table           ;dafr vorgesehenen Register laden
	  mov  dl,ascii
	  xor  dh,dh
	  mov  cl,anzahl
	  mov  ch,dh

	  push bp                 ;BP zur Adressierung des Stacks merken
	  les  bp,buf
	  int  10h                ;BIOS-Video-Interrupt aufrufen
	  pop  bp                 ;altes BP wieder zurckholen

          ret                     ;zurck zum Aufrufer

defchar   endp

;== Ende ===============================================================

          end
